Bug 20272 - 128MB memory only showing up as 64MB
128MB memory only showing up as 64MB
Product: Red Hat Linux
Classification: Retired
Component: gtop (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
Depends On:
  Show dependency treegraph
Reported: 2000-11-03 03:36 EST by Need Real Name
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-11-05 11:42:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-11-03 03:36:32 EST
The mother board is definitly showing both 64MB chips installed and
working.  But both top and gtop show only 64MB of memory available.  The
system has 128M total but any memory past 64M is being swapped.
Comment 1 penguins 2000-11-03 08:51:38 EST
reboot your machine, write down the amount of memory in kilobytes that your machine shows during post.
When lilo comes up, type 'linux mem=xxxxxxk' where 'xxxxxx' is the number your machine gave you.  If you boot up successfully, cat /proc/meminfo
or run top whatever and see if it has all your memory.  It should if it booted up.  
add the following to /etc/lilo.conf.  
where 'xxxxxx' is the amount of memory shown in kilobytes when your machine POST's.  Make sure you rerun LILO before you reboot.
Comment 2 Jonas Israelsson 2000-11-05 11:38:09 EST
i had the same problem , boot command 'linux mem=128' made the hole pc to hang 
during boot but this helped , thanks ! 
Comment 3 Jonas Israelsson 2000-11-05 11:42:56 EST
What i wanted to say but forgot was that the 'mem=128' i found in the manuals 
and not a word about 'mem=xxxxxxk' if not avalible there may be someone should 
add it.
Comment 4 Elliot Lee 2001-01-22 19:55:47 EST
It should be "mem=128M" not "mem=128".

Note You need to log in before you can comment on or make changes to this bug.